libbcunit1-3.0.2-1.mga7.i586.rpm


Advertisement

Description

libbcunit1 - BCUnit shared library

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package name libbcunit1
Package version 3.0.2
Package release 1.mga7
Package architecture i586
Package type rpm
Installed size 122.19 KB
Download size 51.49 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
BCUnit is a unit testing framework for C.
This package installs the BCUnit shared library.

Alternatives

Package Version Architecture Repository
libbcunit1 - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.11) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libncurses.so.6 -
libtinfo.so.6 -

Provides

Name Value
libbcunit.so.1 -
libbcunit1 == 3.0.2-1.mga7
libbcunit1(x86-32) == 3.0.2-1.mga7

Download

Type URL
Binary Package libbcunit1-3.0.2-1.mga7.i586.rpm
Source Package bcunit-3.0.2-1.mga7.src.rpm

Install Howto

  1. Enable Mageia Core repository on "Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install libbcunit1 rpm package:
    # urpmi libbcunit1

Files

Path
/usr/lib/libbcunit.so.1
/usr/lib/libbcunit.so.1.0.1
/usr/lib/.build-id/
/usr/lib/.build-id/a5/3e1ba529531d32385b22b15f9701d006a429e7
/usr/share/doc/libbcunit1/AUTHORS
/usr/share/doc/libbcunit1/COPYING
/usr/share/doc/libbcunit1/ChangeLog
/usr/share/doc/libbcunit1/NEWS
/usr/share/doc/libbcunit1/README
/usr/share/doc/libbcunit1/TODO

Changelog

2017-11-04 - zezinho <zezinho> 3.0.2-1.mga7
+ Revision: 1175949
- follow mageia policies
- imported package bcunit
2017-07-21 - sor.alexei@meowr.ru
- Update to version 3.0.2:
* Version bump.
2017-06-13 - jengelh@inai.de
- Rewrite incorrect %description of main RPM.
2017-05-17 - sor.alexei@meowr.ru
- Update to version 3.0+git20170404:
* No changelog available.
- Rename the package to bcunit for the fork.
- Rename and rebase cunit-link-ncurses.dif to
bcunit-link-ncurses.patch,
cunit-ncurses6.patch to bcunit-ncurses6.patch.
- Switch to cmake.
- Add bcunit-sover.patch: Correctly set the sover.
- Disable test: doesn't compile correctly.
- Correct the licence to LGPL-2.0+ (nothing limits to LGPL-2.0).
- Add baselibs.conf.
- Minor spec clean up.
2015-10-22 - idonmez@suse.com
- Add cunit-ncurses6.patch to compile with ncurses6
2015-05-26 - ddiss@suse.com
- Don't tag Recommends on RHEL, it yields an "Unknown tag" error.

See Also

Package Description
libbeecrypt-devel-4.2.1-26.mga7.i586.rpm Files needed for developing applications with beecrypt
libbeecrypt7-4.2.1-26.mga7.i586.rpm An open source cryptography library
libbeecrypt_cxx7-4.2.1-26.mga7.i586.rpm Files needed for C++ applications using beecrypt
libbelcard-devel-1.0.2-1.mga7.i586.rpm Development files for belcard
libbelcard1-1.0.2-1.mga7.i586.rpm C++ library to manipulate vCard standard format
libbellesip-devel-1.6.3-1.mga7.i586.rpm Development libraries for belle-sip
libbellesip0-1.6.3-1.mga7.i586.rpm The belle-sip library, a part of belle-sip
libbelr-devel-0.1.3-1.mga7.i586.rpm Development files for belr
libbelr1-0.1.3-1.mga7.i586.rpm Language recognition library
libbinio-devel-1.4-16.mga7.i586.rpm Development files for libbinio
libbinio1-1.4-16.mga7.i586.rpm Shared library for libbinio
libbinutils-devel-2.29.1-10.mga7.i586.rpm Main library for binutils
libbison-static-devel-3.0.5-1.mga7.i586.rpm Static development library for using Bison-generated parsers
libbitcoinconsensus-devel-0.16.0-1.mga7.i586.rpm Development files for bitcoinconsensus
libbitcoinconsensus0-0.16.0-1.mga7.i586.rpm Shared libs for bitcoinconsensus
Advertisement
Advertisement